%{?!python_module:%define python_module() python3-%{**}}
%bcond_without  test
Name:           python-cassowary
Version:        0.5.2
Release:        %mkrel 1
Summary:        A pure Python implementation of the Cassowary constraint solving algorithm
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/brodderickrodriguez/cassowary
Source:         https://files.pythonhosted.org/packages/source/c/cassowary/cassowary-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch


%global _description\
A pure Python implementation of the Cassowary constraint-solving algorithm.\
Cassowary is the algorithm that forms the core of the OS X and iOS visual\
layout mechanism.

%description %_description

%package -n python3-cassowary
Summary: A pure Python implementation of the Cassowary constraint solving algorithm
%description -n python3-cassowary %_description

%prep
%setup -q -n cassowary-%{version}

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
%__python3 setup.py test
%endif

%files -n python3-cassowary
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/*


%changelog
* Fri Aug 21 2020 joequant <joequant> 0.5.2-1.mga8
+ Revision: 1617271
- imported package python-cassowary

